org.apache.torque.generator.configuration.source

## Interface SourceSaxHandlerFactory

- All Known Implementing Classes:
    FileSourceSaxHandlerFactory, JdbcMetadataSourceSaxHandlerFactory

      public interface SourceSaxHandlerFactory

  Classes implementing this interface are responsible for creating `SourceSaxHandler`s for a specific source type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SourceSaxHandler` | `getSourceSaxHandler(ConfigurationProvider configurationProvider, UnitDescriptor unitDescriptor, ConfigurationHandlers configurationHandlers)` Returns a SourceSaxHandler for reading the configuration of sources.
    `String` | `getType()` Returns the source type handled by the SourceSaxHandlers which are created by this factory.

- - ### Method Detail

    - #### getType

          String getType()

      Returns the source type handled by the SourceSaxHandlers which are created by this factory.
      Returns:
        the type of the sources, not null.

    - #### getSourceSaxHandler

          SourceSaxHandler getSourceSaxHandler(ConfigurationProvider configurationProvider,
                                               UnitDescriptor unitDescriptor,
                                               ConfigurationHandlers configurationHandlers)
                                        throws SAXException

      Returns a SourceSaxHandler for reading the configuration of sources. The SAX Handler is used as a delegate handler whenever a source element with the matching type is encountered in a configuration file.
      Parameters:
        `configurationProvider` - The access object for the configuration files, not null.
        `unitDescriptor` - The description of the generation unit, not null.
        `configurationHandlers` - the available configuration handlers, not null.
      Returns:
        a SAX delegate handler for parsing the configuration with the given type.
      Throws:
        `SAXException` - if the SAX Handler for the sources can not be created from the given XML element.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.